## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSLTProcessorEnvSupportDefault Class Reference

`#include <XSLTProcessorEnvSupportDefault.hpp>`

Inheritance diagram for XSLTProcessorEnvSupportDefault:

[legend]
Collaboration diagram for XSLTProcessorEnvSupportDefault:

[legend]
List of all members.

## Public Methods

- XSLTProcessorEnvSupportDefault (MemoryManagerType &theManager, XSLTProcessor *theProcessor=0)
- virtual ~XSLTProcessorEnvSupportDefault ()
- void setProcessor (XSLTProcessor *theProcessor)
    Reset the XLST processor instance. More...
- virtual void installExternalFunctionLocal (const XalanDOMString &theNamespace, const XalanDOMString &functionName, const Function &function)
    Install an external function in the local space. More...
- virtual void uninstallExternalFunctionLocal (const XalanDOMString &theNamespace, const XalanDOMString &functionName)
    Uninstall an external function from the local space. More...
- virtual bool problem (eSource where, eClassification classification, const XalanNode *sourceNode, const ElemTemplateElement *styleNode, const XalanDOMString &msg, const XalanDOMChar *uri, int lineNo, int charOffset) const
    Function that is called when a problem event occurs. More...
- virtual XalanDocument* parseXML (MemoryManagerType &theManager, const XalanDOMString &urlString, const XalanDOMString &base)
    Provides support for XML parsing service. More...
- virtual XalanDocument* getSourceDocument (const XalanDOMString &theURI) const
    Get the source document for the given URI. More...
- virtual void setSourceDocument (const XalanDOMString &theURI, XalanDocument *theDocument)
    Associate a document with a given URI. More...
- virtual const XalanDOMString& findURIFromDoc (const XalanDocument *owner) const
    Given a DOM Document, tell what URI was used to parse it. More...
- virtual bool elementAvailable (const XalanDOMString &theNamespace, const XalanDOMString &elementName) const
    Determine if an external element is available. More...
- virtual bool functionAvailable (const XalanDOMString &theNamespace, const XalanDOMString &functionName) const
    Determine if a function is available. More...
- virtual XObjectPtr extFunction (XPathExecutionContext &executionContext, const XalanDOMString &theNamespace, const XalanDOMString &functionName, XalanNode *context, const XObjectArgVectorType &argVec, const LocatorType *locator) const
    Handle an extension function. More...
- virtual bool problem (eSource where, eClassification classification, const PrefixResolver *resolver, const XalanNode *sourceNode, const XalanDOMString &msg, const XalanDOMChar *uri, int lineNo, int charOffset) const
    Function that is called when a problem event occurs. More...
- virtual void reset ()
    Reset the instance. More...
- XSLTProcessorEnvSupportDefault (const XSLTProcessorEnvSupportDefault &)
- XSLTProcessorEnvSupportDefault& operator= (const XSLTProcessorEnvSupportDefault &)
- bool operator== (const XSLTProcessorEnvSupportDefault &) const

## Static Public Methods

- void installExternalFunctionGlobal (const XalanDOMString &theNamespace, const XalanDOMString &functionName, const Function &function)
    Install an external function in the global space. More...
- void uninstallExternalFunctionGlobal (const XalanDOMString &theNamespace, const XalanDOMString &functionName)
    Uninstall an external function from the global space. More...

## Public Attributes

- XPathEnvSupportDefault m_defaultSupport
- XSLTProcessor* m_processor

## Constructor & Destructor Documentation

XSLTProcessorEnvSupportDefault::XSLTProcessorEnvSupportDefault ( | MemoryManagerType & theManager,
| XSLTProcessor * theProcessor = 0 )

XSLTProcessorEnvSupportDefault::~XSLTProcessorEnvSupportDefault ( | )`[virtual]`

XSLTProcessorEnvSupportDefault::XSLTProcessorEnvSupportDefault ( | const XSLTProcessorEnvSupportDefault & )

## Member Function Documentation

bool XSLTProcessorEnvSupportDefault::elementAvailable ( | const XalanDOMString & theNamespace,
| const XalanDOMString & elementName ) const`[virtual]`

  | Determine if an external element is available. Parameters:
  theNamespace | namespace for the element
  elementName | name of extension element
Returns: whether the element is available or not Reimplemented from XSLTProcessorEnvSupport.

XObjectPtr XSLTProcessorEnvSupportDefault::extFunction ( | XPathExecutionContext & executionContext,
| const XalanDOMString & theNamespace,
| const XalanDOMString & functionName,
| XalanNode * context,
| const XObjectArgVectorType & argVec,
| const LocatorType * locator ) const`[virtual]`

  | Handle an extension function. Parameters:
  executionContext | current execution context
  theNamespace | namespace of function
  functionName | extension function name
  argVec | vector of arguments to function
  locator | A LocatorType instance for error reporting.
Returns: pointer to XObject result Reimplemented from XSLTProcessorEnvSupport.

const XalanDOMString & XSLTProcessorEnvSupportDefault::findURIFromDoc ( | const XalanDocument * owner ) const`[virtual]`

  | Given a DOM Document, tell what URI was used to parse it. Needed for relative resolution. Parameters:
  owner | source document
Returns: document URI Reimplemented from XSLTProcessorEnvSupport.

bool XSLTProcessorEnvSupportDefault::functionAvailable ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName ) const`[virtual]`

  | Determine if a function is available. For standard function availability, theNamespace should be an empty string. Parameters:
  theNamespace | namespace for the function
  functionName | name of the function
Returns: whether the function is available or not Reimplemented from XSLTProcessorEnvSupport.

XalanDocument * XSLTProcessorEnvSupportDefault::getSourceDocument ( | const XalanDOMString & theURI ) const`[virtual]`

  | Get the source document for the given URI. Parameters:
  theURI | document URI
Returns: source document Reimplemented from XSLTProcessorEnvSupport.

void XSLTProcessorEnvSupportDefault::installExternalFunctionGlobal ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName,
| const Function & function )`[static]`

  | Install an external function in the global space. Parameters:
  theNamespace | The namespace for the functionl
  functionName | The name of the function.
  function | The function to install.

void XSLTProcessorEnvSupportDefault::installExternalFunctionLocal ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName,
| const Function & function )`[virtual]`

  | Install an external function in the local space. Parameters:
  theNamespace | The namespace for the functionl
  functionName | The name of the function.
  function | The function to install.

XSLTProcessorEnvSupportDefault & XSLTProcessorEnvSupportDefault::operator= ( | const XSLTProcessorEnvSupportDefault & )

bool XSLTProcessorEnvSupportDefault::operator== ( | const XSLTProcessorEnvSupportDefault & ) const

XalanDocument * XSLTProcessorEnvSupportDefault::parseXML ( | MemoryManagerType & theManager,
| const XalanDOMString & urlString,
| const XalanDOMString & base )`[virtual]`

  | Provides support for XML parsing service. Parameters:
  urlString | location of the XML
  base | base location for URI
Returns: parsed document Reimplemented from XSLTProcessorEnvSupport.

bool XSLTProcessorEnvSupportDefault::problem ( | eSource where,
| eClassification classification,
| const PrefixResolver * resolver,
| const XalanNode * sourceNode,
| const XalanDOMString & msg,
| const XalanDOMChar * uri,
| int lineNo,
| int charOffset ) const`[virtual]`

  | Function that is called when a problem event occurs. Parameters:
  where | either eXMLParser, eXSLTProcessor, eXPATHParser, eXPATHProcessor, or eDataSource.
  classification | either eWarning, or eError
  resolver | resolver for namespace resolution
  sourceNode | source tree node where the problem occurred (may be 0)
  msg | string message explaining the problem.
  uri | the URI of the stylesheet, if available. May be 0;
  lineNo | line number where the problem occurred.
  charOffset | character offset where the problem.
Returns: true if the return is an ERROR, in which case exception will be thrown. Otherwise the processor will continue to process. Reimplemented from XSLTProcessorEnvSupport.

bool XSLTProcessorEnvSupportDefault::problem ( | eSource where,
| eClassification classification,
| const XalanNode * sourceNode,
| const ElemTemplateElement * styleNode,
| const XalanDOMString & msg,
| const XalanDOMChar * uri,
| int lineNo,
| int charOffset ) const`[virtual]`

  | Function that is called when a problem event occurs. Parameters:
  where | either eXMLParser, eXSLTProcessor, eXPATHParser, eXPATHProcessor, or eDataSource.
  classification | either eWarning, or eError
  resolver | resolver for namespace resolution
  sourceNode | source tree node where the problem occurred (may be 0)
  styleNode | stylesheet node where the problem occurred (may be 0)
  msg | string message explaining the problem.
  uri | the URI of the stylesheet, if available. May be 0;
  lineNo | line number where the problem occurred.
  charOffset | character offset where the problem.
Returns: true if the return is an ERROR, in which case exception will be thrown. Otherwise the processor will continue to process. Reimplemented from XSLTProcessorEnvSupport.

void XSLTProcessorEnvSupportDefault::reset ( | )`[virtual]`

| Reset the instance. Reimplemented from XSLTProcessorEnvSupport.

void XSLTProcessorEnvSupportDefault::setProcessor ( | XSLTProcessor * theProcessor )

  | Reset the XLST processor instance. Parameters:
  theProcessor | pointer to new processor instance

void XSLTProcessorEnvSupportDefault::setSourceDocument ( | const XalanDOMString & theURI,
| XalanDocument * theDocument )`[virtual]`

  | Associate a document with a given URI. Parameters:
  theURI | document URI
  theDocument | source document
Reimplemented from XSLTProcessorEnvSupport.

void XSLTProcessorEnvSupportDefault::uninstallExternalFunctionGlobal ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName )`[static]`

  | Uninstall an external function from the global space. Parameters:
  theNamespace | The namespace for the functionl
  functionName | The name of the function.

void XSLTProcessorEnvSupportDefault::uninstallExternalFunctionLocal ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName )`[virtual]`

  | Uninstall an external function from the local space. Parameters:
  theNamespace | The namespace for the functionl
  functionName | The name of the function.

## Member Data Documentation

XPathEnvSupportDefault XSLTProcessorEnvSupportDefault::m_defaultSupport

XSLTProcessor * XSLTProcessorEnvSupportDefault::m_processor

The documentation for this class was generated from the following file:

- XSLTProcessorEnvSupportDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.